/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.binding.soap;

import org.ow2.petals.component.framework.logger.ConsumeFlowStepBeginLogData;

/**
 * @author Marc Jambert - EBM WebSourcing
 */
@SuppressWarnings("serial")
public final class SoapConsumeFlowStepBeginLogData extends ConsumeFlowStepBeginLogData {

    public static final String REQUESTED_URL_KEY = "requestedURL";

    public SoapConsumeFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String flowInterfaceName, String flowServiceName, String flowEndpointName,
            String operationName, String requestedUrl) {
        super(flowInstanceId, flowStepId, flowInterfaceName, flowServiceName, flowEndpointName,
                operationName);
        putData(REQUESTED_URL_KEY, requestedUrl);
    }
}
