/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.binding.soap.util;

import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;
import javax.xml.transform.Source;

import org.apache.axiom.om.util.StAXUtils;

/**
 * StAX utilities.
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class StaxUtils extends StAXUtils {

    public static XMLStreamReader createXMLStreamReader(final Source in) throws XMLStreamException {
        final XMLInputFactory inputFactory = getXMLInputFactory();
        try {
            final XMLStreamReader reader = inputFactory.createXMLStreamReader(in);
            return reader;
        } finally {
            releaseXMLInputFactory(inputFactory);
        }
    }
}
